## org.w3c.www.http
Class MimeParserReplyFactory

    java.lang.Object
      |
      +--org.w3c.www.http.MimeParserReplyFactory

public class MimeParserReplyFactory
extends java.lang.Object
implements MimeParserFactory

The MIME parse factory for HTTP replies.

Constructor Summary
`MimeParserReplyFactory()`

Method Summary
`MimeHeaderHolder` | `createHeaderHolder(MimeParser parser)` Create a new HTTP reply to hold the parser's result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeParserReplyFactory

    public MimeParserReplyFactory()

Method Detail

### createHeaderHolder

    public MimeHeaderHolder createHeaderHolder(MimeParser parser)

  Create a new HTTP reply to hold the parser's result.
  Specified by:
    createHeaderHolder in interface MimeParserFactory
  Parameters:
    `parser` - The MimeParser that wants to parse some message.
  Returns:
    A MimeParserHandler compliant object.